> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# RedPacket - Claim

> Claim tokens from an existing red packet



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml POST /v2/redpacket/{chain}/claim
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/redpacket/{chain}/claim:
    post:
      tags:
        - RedPacket
      summary: RedPacket - Claim
      description: Claim tokens from an existing red packet
      operationId: claim.redpacket
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimRedPacketRequest'
        required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimRedPacketResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    ClaimRedPacketRequest:
      type: object
      description: Claimer wallet address
      required:
        - claimer
      properties:
        claimer:
          type: string
          description: Claimer wallet address
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        packetId:
          type:
            - string
            - 'null'
          description: Red packet on-chain ID
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        password:
          type:
            - string
            - 'null'
          description: Red packet password for claiming
          example: '123456'
        shareId:
          type:
            - string
            - 'null'
          description: Share identifier
          example: abc123
    ClaimRedPacketResponse:
      type: object
      description: Claim red packet response
      required:
        - txSerialize
      properties:
        txSerialize:
          type: string
          description: Serialized transaction data
          example: AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````